Upgrading to Latest Version of OpenShift 3.10 or 3.11 Does Not Update Image Versions or API Version

Solution In Progress - Updated -

Issue

I have upgraded OCP to the latest 3.10 or 3.11 version, but it looks like my environment is still vulnerable for CVE-2018-1002105.

# curl -k  https://openshift.example.com:8443/version/openshift | grep gitVersion
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   209  100   209    0     0   1343      0 --:--:-- --:--:-- --:--:--  1348
  "gitVersion": "v3.11.16",

# oc version
oc v3.11.51
kubernetes v1.11.0+d4cacc0
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://openshift.example.com:8443
openshift v3.11.16
kubernetes v1.11.0+d4cacc0

Environment

  • Red Hat OpenShift Container Platform 3.10
  • Red Hat OpenShift Container Platform 3.11

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content